### Enumeration

# Json NodeType

since: 1.0

#### Declaration

    enum Json.NodeType

#### Description [src]

Indicates the content of a node.

Available since: 1.0

#### Members

`JSON_NODE_OBJECT`

  The node contains a JSON object.

  - Value: `0`
  - Nickname: `object`
  - Available since: 1.0
`JSON_NODE_ARRAY`

  The node contains a JSON array.

  - Value: `1`
  - Nickname: `array`
  - Available since: 1.0
`JSON_NODE_VALUE`

  The node contains a fundamental type.

  - Value: `2`
  - Nickname: `value`
  - Available since: 1.0
`JSON_NODE_NULL`

  Special type, for nodes containing null.

  - Value: `3`
  - Nickname: `null`
  - Available since: 1.0